local windfuryBuffs = {
    1783,
    563,
    564
}

function Ragequit:TransmitWindfuryStatus()
    local localizedClass, englishClass = UnitClass("player")

    if (englishClass == "WARRIOR") or (englishClass == "ROGUE") and (IsInGroup() or isInRaid()) then

        local _, expire, _, id = GetWeaponEnchantInfo()
        local _, _, lagHome, _ = GetNetStats()
        local guid = UnitGUID("player")
        if expire == nil then id = nil end

        if id ~= nil then
            if not has_value(windfuryBuffs, id) then 
                return 
            end
        end

        local msg = guid .. ":" .. tostring(id) .. ":" .. tostring(expire) .. ":" .. lagHome
        local chan = "PARTY"
        if UnitInBattleground("player") then
            chan = "INSTANCE_CHAT"
        end

        -- DEFAULT_CHAT_FRAME:AddMessage("Sending WF_STATUS" .. msg .. chan)
        C_ChatInfo.SendAddonMessage("WF_STATUS", msg, chan)
    end
end
